For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
        • POSTCreate deployment
      • POSTCreate agent
      • GETGet agent
      • GETList agents
      • PATCHUpdate agent
      • DELDelete agent
      • POSTDuplicate agent
      • GETGet link
      • POSTSimulate conversation
      • POSTStream simulate conversation
      • POSTCalculate expected LLM usage
      • GETGet agent summaries
  • ElevenAPI
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
  • Conversational AI
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAgentsAgentsDeployments

Create deployment

POST
/v1/convai/agents/:agent_id/deployments
POST
/v1/convai/agents/:agent_id/deployments
$curl -X POST https://api.elevenlabs.io/v1/convai/agents/agent_id/deployments \
> -H "Content-Type: application/json" \
> -d '{
> "deployment_request": {
> "requests": [
> {
> "branch_id": "agtbrch_8901k4t9z5defmb8vh3e9361y7nj",
> "deployment_strategy": {
> "traffic_percentage": 0.5,
> "type": "percentage"
> }
> }
> ]
> }
>}'
1{
2 "traffic_percentage_branch_id_map": {
3 "agtbrch_8901k4t9z5defmb8vh3e9361y7nj": 0.5
4 }
5}
Create a new deployment for an agent
Was this page helpful?
Previous

Create draft

Next
Built with

Path parameters

agent_idstringRequired
The id of an agent. This is returned on agent creation.

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
deployment_requestobjectRequired
Request to create a new deployment

Response

Successful Response
traffic_percentage_branch_id_mapmap from strings to doubles
Map of branch IDs to traffic percentages

Errors

422
Unprocessable Entity Error